Bug 835973 - configure errors after upgrade
configure errors after upgrade
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-configure (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: 1.0.1
: ---
Assigned To: Mike Orazi
Rehana
: ZStream
Depends On: 835151
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 13:30 EDT by Chris Pelland
Modified: 2012-07-10 03:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
aeolus-configure attempted to create an admin user with the vsphere profile when one already existed from a previous configuration. This causes the following error: notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User already exists: admin err: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: change from notrun to 0 failed: /usr/bin/rake dc:create_user[admin,password,root@localhost.localdomain,Administrator,] returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor/site_admin.pp:9 This update adds verification for the existence of an admin user, which removes the error.
Story Points: ---
Clone Of: 835151
Environment:
Last Closed: 2012-07-10 03:24:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Pelland 2012-06-27 13:30:53 EDT
+++ This bug was initially created as a clone of Bug #835151 +++

Description of problem:
===================================
Ran aeolus-configure -p vsphere after upgrading system that was configure for ec2 and rhevm...  errors occurred.  Vsphere provider was added... and a account could manually be added as well.

notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User already exists: admin
err: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: change from notrun to 0 failed: /usr/bin/rake dc:create_user[admin,password,root@localhost.localdomain,Administrator,] returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor/site_admin.pp:9
notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]: Dependency Exec[create_site_admin_user] has failures: true
warning: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]: Skipping because of failed dependencies
notice: /File[/var/lib/aeolus-conductor/production.admin]: Dependency Exec[create_site_admin_user] has failures: true
warning: /File[/var/lib/aeolus-conductor/production.admin]: Skipping because of failed dependencies


Version-Release number of selected component (if applicable):
aeolus-configure-2.5.9-1.el6cf.noarch


How reproducible:


Steps to Reproduce:
1.   install v1.0.0
2.   configure for ec2 and rhevm
3.   upgrade with yum update
4.   configure for vsphere
  
Actual results:
errors

Expected results:
no errors


Additional info:
provider was successfully added and allows accounts to be associated
Comment 2 Aziza Karol 2012-06-29 05:38:47 EDT
Ran aeolus-configure -p vsphere after upgrading.No errors observed.

#aeolus-configure  -p vsphere
Launching aeolus configuration recipe...
notice: /File[/usr/share/aeolus-conductor/config/initializers/secret_token.rb]/content: content changed '{md5}78518e4ad7032a6390a3c9ef797e5f1e' to '{md5}189ff048c341cf0daa4db05c3e81e22b'
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: conductor already exists
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[create_temp_admin]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[create_temp_admin]/returns: User temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b registered
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[create_temp_admin]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[grant_temp_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[grant_temp_admin_privs]/returns: Granting administrator privileges for temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b...
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[grant_temp_admin_privs]/returns: executed successfully
notice: /File[/etc/imagefactory/vsphere.json]/ensure: defined content as '{md5}aba2b8aa10ca92ea05786e776e586f9e'
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Web_request[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[decrement_login_counter]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[decrement_login_counter]/returns: Login counter for user temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b updated
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[decrement_login_counter]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Hwp[small-x86_64]/Web_request[hwp-small-x86_64]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Profiles::Vsphere::Instance[default]/Aeolus::Conductor::Provider[vsphere-default]/Web_request[provider-vsphere-default]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Logout[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Web_request[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[destroy_temp_admin]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[destroy_temp_admin]/returns: User temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b destroyed
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-c871db03ad6ce2d9711ab9c6dadc333752119dabb982d81b]/Exec[destroy_temp_admin]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: Finished catalog run in 91.81 seconds

rpm  -qa | grep aeolus
aeolus-conductor-daemons-0.8.33-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.3-2.el6_2.noarch
aeolus-conductor-doc-0.8.33-1.el6cf.noarch
aeolus-configure-2.5.10-1.el6cf.noarch
aeolus-all-0.8.33-1.el6cf.noarch
aeolus-conductor-0.8.33-1.el6cf.noarch
Comment 3 Rehana 2012-06-29 08:52:48 EDT
Followed the same steps as per description.Vsphere configuration was executed with out any error.

aeolus-configure -p vsphere
Launching aeolus configuration recipe...
notice: /File[/etc/imagefactory/vsphere.json]/ensure: defined content as '{md5}aba2b8aa10ca92ea05786e776e586f9e'
notice: /File[/usr/share/aeolus-conductor/config/initializers/secret_token.rb]/content: content changed '{md5}7972ad3a381e913d77eacecce12d4273' to '{md5}bb2bd12600059908d9036cfa72a08306'
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: conductor already exists
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[create_temp_admin]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[create_temp_admin]/returns: User temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270 registered
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[create_temp_admin]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[grant_temp_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[grant_temp_admin_privs]/returns: Granting administrator privileges for temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270...
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[grant_temp_admin_privs]/returns: executed successfully
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Web_request[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[decrement_login_counter]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[decrement_login_counter]/returns: Login counter for user temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270 updated
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[decrement_login_counter]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Profiles::Vsphere::Instance[default]/Aeolus::Conductor::Provider[vsphere-default]/Web_request[provider-vsphere-default]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Hwp[small-x86_64]/Web_request[hwp-small-x86_64]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Logout[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Web_request[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[destroy_temp_admin]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[destroy_temp_admin]/returns: User temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270 destroyed
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Destroy_temp_admin[temporary-administrative-user-51577feeaca7d684b3e9ecc68131d40f6e2f7d4e70467270]/Exec[destroy_temp_admin]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: Finished catalog run in 74.33 seconds


Verified on 

rpm -qa | grep aeolus
aeolus-configure-2.5.10-1.el6cf.noarch
aeolus-all-0.8.33-1.el6cf.noarch
aeolus-conductor-daemons-0.8.33-1.el6cf.noarch
aeolus-conductor-doc-0.8.33-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.3-2.el6_2.noarch
aeolus-conductor-0.8.33-1.el6cf.noarch
Comment 4 Dan Macpherson 2012-07-01 20:48:56 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
aeolus-configure attempted to create an admin user with the vsphere profile when one already existed from a previous configuration. This causes the following error:

notice: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User already exists: admin
err: /Stage[main]/Aeolus::Conductor/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: change from notrun to 0 failed: /usr/bin/rake dc:create_user[admin,password,root@localhost.localdomain,Administrator,] returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor/site_admin.pp:9

This update adds verification for the existence of an admin user, which removes the error.
Comment 6 errata-xmlrpc 2012-07-10 03:24:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1063.html

Note You need to log in before you can comment on or make changes to this bug.